#ifndef OPTIONS_H
#define OPTIONS_H

#include <QWidget>

namespace Ui {
class options;
}

class options : public QWidget
{
    Q_OBJECT

public:
    explicit options(QWidget *parent = nullptr);
    ~options();
    bool  Path     = false;
    bool  openPath = false;
    bool  glibc    = false;

private:
    Ui::options *ui;

private slots:
    void Ok();
    void Cancel();
    void on_check1_stateChanged(int arg1);
    void on_check2_stateChanged(int arg1);
    void on_check3_stateChanged(int arg1);

signals:
    void signalFilePath(bool);  //Отправляем
    void signalOpenPath(bool);
    void    signalGlibc(bool);

public slots:
    void  slot(bool a); //Принимаем
    void slot2(bool b); //Принимаем
    void slot3(bool c);
};

#endif // OPTIONS_H
