#include "password.h"
#include "ui_password.h"

Password::Password(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::Password)
{
    ui->setupUi(this);
    //ui->lineEdit->setStyleSheet("text-color: green;");
    ui->lineEdit->setStyleSheet("background:white;");
}

Password::~Password()
{
    delete ui;
}

void Password::on_checkBox_stateChanged(int arg1)
{
    if(ui->checkBox->isChecked())
    {
    ui->lineEdit->setEchoMode(QLineEdit::Normal);
    }

    else if (!ui->checkBox->isChecked())
    {
    ui->lineEdit->setEchoMode(QLineEdit::Password);
    }
}

void Password::on_okBtn_clicked()
{
    emit signalPasswd(ui->lineEdit->text());
    QWidget::close();
}

void Password::keyPressEvent(QKeyEvent *event)
{
    int key=event->key();  //event->key() - целочисленный код клавиши
    QString str = QString(QChar(key));
    if (key>=Qt::Key_0 && key<=Qt::Key_Enter) {
    on_okBtn_clicked();
    }
}

