#ifndef QTDEPLOYER_H
#define QTDEPLOYER_H

#include <QMainWindow>
#include "QKeyEvent"
#include "about.h"
#include "password.h"
#include "options.h"

QT_BEGIN_NAMESPACE
namespace Ui { class QtDeployer; }
QT_END_NAMESPACE

class QtDeployer : public QMainWindow
{
    Q_OBJECT

public:
    QtDeployer(QWidget *parent = nullptr);
    ~QtDeployer();
    about   *formAbout;
    Password *password;
    options   *Options;
    bool pathFlag = false;
    bool  openPath = false;
    bool glibcFlag = false;
    QString pathOption = "SavePath = YES";
    QString FN ="";
    QString dirName  = "";



private slots:

    void install();
    void openFile();
    void makeProgram();
    void simLink();
    void About();
    void glibc_check();
    void FNcheck();
    void FormOptions();
    void ConfigWrite();
    void configCheck();
    void openDir();

private:
    Ui::QtDeployer *ui;
    QString PASSWORD;

protected:
   virtual void keyPressEvent(QKeyEvent *event); //Здесь заканчивается конструкция которая позволяет вводить цифры с клавиатуры

public slots:
    void slotPasswd(QString pswd);
    void slotOption1(bool filePath);
    void slotOption2(bool openPath);
    void slotOption3(bool gl);
signals:
    void signal(bool pathConfig);
    void signal2(bool opPath);
    void signal3(bool glibc);

};


#endif // QTDEPLOYER_H
